> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 실무자 목록 조회

> 비즈니스의 실무자(`Worker`) 목록을 조회합니다. 삭제된 실무자(`is_deleted=True`)는 제외됩니다.

**플랜 제약:** FREE 또는 AGENCY 플랜에서만 사용 가능 — 다른 플랜은 403 `PLAN_PERMISSION_DENIED`.

**filter:** `OpenapiWorkerFilter`로 position 등 필터링 가능.



## OpenAPI

````yaml GET /v1/worker
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/worker:
    get:
      tags:
        - worker
      summary: 실무자 목록
      description: >-
        비즈니스의 실무자(`Worker`) 목록을 조회합니다. 삭제된 실무자(`is_deleted=True`)는 제외됩니다.


        **플랜 제약:** FREE 또는 AGENCY 플랜에서만 사용 가능 — 다른 플랜은 403
        `PLAN_PERMISSION_DENIED`.


        **filter:** `OpenapiWorkerFilter`로 position 등 필터링 가능.
      operationId: worker_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: Pagination을 위한 커서
          schema:
            type: string
        - in: query
          name: is_hidden
          schema:
            type: boolean
          description: 숨김 여부
        - name: page_size
          required: false
          in: query
          description: 한번에 조회할 데이터의 개수 (limit)
          schema:
            type: integer
        - in: query
          name: position_id
          schema:
            type: string
          description: 직무 ID
        - in: query
          name: search
          schema:
            type: string
          description: 이름 검색
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOpenapiWorkerListCreateList'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PaginatedOpenapiWorkerListCreateList:
      type: object
      required:
        - results
      properties:
        next:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiWorkerListCreate'
    OpenapiWorkerListCreate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: 실무자 이름
          maxLength: 32
        position:
          description: 직무
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedWorkerPosition'
        order:
          type: integer
          description: 순서
        isHidden:
          type: boolean
          description: 숨김 여부
        manMonthAmount:
          type: integer
          description: M/M 금액
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
      required:
        - created
        - id
        - name
    OpenapiNestedWorkerPosition:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
          description: 직무 제목
        symbolColor:
          type: string
          readOnly: true
          description: 상징색
      required:
        - id
        - symbolColor
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````